﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.DocIO;
using Syncfusion.DocIO.DLS;
using Syncfusion.OfficeChart;
using Syncfusion.DocToPDFConverter;
using Syncfusion.Pdf;
using System.Diagnostics;
namespace WindowsFormsApp5
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Stopwatch watch = Stopwatch.StartNew();
            watch.Start();
            WordDocument wordDocument = new WordDocument(@"C:\Users\PraveenkumarSivakuma\source\repos\WindowsFormsApp5\WindowsFormsApp5\Data\Document word.docx", FormatType.Docx);
            //Initializes the ChartToImageConverter for converting charts during Word to pdf conversion
           // wordDocument.ChartToImageConverter = new ChartToImageConverter();
            //Creates an instance of the DocToPDFConverter
            DocToPDFConverter converter = new DocToPDFConverter();
            //Converts Word document into PDF document
            PdfDocument pdfDocument = converter.ConvertToPDF(wordDocument);
            //Saves the PDF file 
            pdfDocument.Save("WordtoPDF.pdf");
            //Closes the instance of document objects
            pdfDocument.Close(true);
            wordDocument.Close();
            watch.Stop();
            System.Diagnostics.Process.Start("WordtoPDF.pdf");
        }
    }
}
